import { use } from 'react';

import { SiteFooter } from '~/(marketing)/_components/site-footer';
import { SiteHeader } from '~/(marketing)/_components/site-header';
import { loadCurrentUserAccounts } from '~/home/(user)/_lib/server/load-accounts';
import { withI18n } from '~/lib/i18n/with-i18n';

function SiteLayout(props: React.PropsWithChildren) {
  const accounts = use(loadCurrentUserAccounts());
  return (
    <div className={'flex min-h-[100vh] flex-col'}>
      <SiteHeader accounts={accounts} />

      {props.children}

      <SiteFooter />
    </div>
  );
}

export default withI18n(SiteLayout);
